Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonContractOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractOption

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class MegafonContractOption extends IdContractId
Доп.опция Мегафона с привязкой к договору

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonContractOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractProductId()`
  `LocalDateTime`
  `getEndTime()`
  `int`
  `getOptionId()`
  `long`
  `getOrderId()`
  `int`
  `getServiceObjectId()`
  `LocalDateTime`
  `getStartTime()`
  `MegafonContractProductStatus`
  `getStatus()`
  `MegafonContractOption`
  `setContractId(int contractId)`
  `MegafonContractOption`
  `setContractProductId(int contractProductId)`
  `MegafonContractOption`
  `setEndTime(LocalDateTime endTime)`
  `MegafonContractOption`
  `setId(int id)`
  Устанавливает id объекта
  `MegafonContractOption`
  `setOptionId(int optionId)`
  `MegafonContractOption`
  `setOrderId(long orderId)`
  `MegafonContractOption`
  `setServiceObjectId(int serviceObjectId)`
  `MegafonContractOption`
  `setStartTime(LocalDateTime startTime)`
  `MegafonContractOption`
  `setStatus(MegafonContractProductStatus status)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegafonContractOption

    public MegafonContractOption()

- ## Method Details

  - ### getContractProductId

    public int getContractProductId()

  - ### getEndTime

    public LocalDateTime getEndTime()

  - ### getOptionId

    public int getOptionId()

  - ### getOrderId

    public long getOrderId()

  - ### getServiceObjectId

    public int getServiceObjectId()

  - ### getStartTime

    public LocalDateTime getStartTime()

  - ### getStatus

    public MegafonContractProductStatus getStatus()

  - ### setContractId

    public MegafonContractOption setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setContractProductId

    public MegafonContractOption setContractProductId(int contractProductId)

  - ### setEndTime

    public MegafonContractOption setEndTime(LocalDateTime endTime)

  - ### setId

    public MegafonContractOption setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`
    Parameters:
      `id` - id

  - ### setOptionId

    public MegafonContractOption setOptionId(int optionId)

  - ### setOrderId

    public MegafonContractOption setOrderId(long orderId)

  - ### setServiceObjectId

    public MegafonContractOption setServiceObjectId(int serviceObjectId)

  - ### setStartTime

    public MegafonContractOption setStartTime(LocalDateTime startTime)

  - ### setStatus

    public MegafonContractOption setStatus(MegafonContractProductStatus status)